LOCAL lcDefaultPath
LOCAL lcReportFullName
LOCAL lcReportFile
LOCAL lcExportPath
LOCAL loHTMLFile

lcDefaultPath	=JUSTPATH(SYS(16)) 
SET DEFAULT TO (lcDefaultPath)

lcReportFullName = ADDBS(lcDefaultPath)+"Invoice.Frx"			&& Full Path to your FRX file
lcReportFile = JUSTSTEM(lcReportFullName)
lcExportPath = ADDBS(JUSTPATH(lcReportFullName))


loHTMLFile = NEWOBJECT('HTMLFile', 'Frx2Any.app')				&& Create the object from APP file

loHTMLFile.cExportFileName = lcReportFile
loHTMLFile.cSaveFolder = lcExportPath

lnSuccess = loHTMLFile.SAVE(lcReportFullName)					&& Save file and return 0 if successfull!

loHTMLFile.Release()
loHTMLFile = .NULL.

--Launch the HTM file (Will trigger the Program associated to .HTM
DECLARE INTEGER ShellExecute IN SHELL32.DLL INTEGER nWinHandle, STRING cOperation, STRING cFileName, STRING cParameters,;
STRING cDirectory, INTEGER nShowWindow

ShellExecute(0, 'Open', lcExportPath + FORCEEXT(lcReportFile, 'HTM') , '', '', 1)

